This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### randomSeed()
Examples |
    randomSeed(0);
    for (int i=0; i < 100; i++) {
      float r = random(0, 255);
      stroke(r);
      line(i, 0, i, 100);
    }
Description | Sets the seed value for random(). By default, random() produces different results each time the program is run. Set the seed parameter to a constant to return the same pseudo-random numbers each time the software is run.
Syntax |
    randomSeed(seed)
Parameters |
seed | int: seed value
Returns | void
Related | random() noise() noiseSeed()

Updated on October 26, 2013 08:58:30pm PDT